package com.ruoyi.szxc.mapper;

import com.ruoyi.szxc.domain.SzxcHouseInfo;

import java.util.List;

/**
 * 房屋信息Mapper接口
 *
 * @author hs
 * @date 2024-03-21
 */
public interface SzxcHouseInfoMapper
{
    /**
     * 查询房屋信息
     *
     * @param id 房屋信息主键
     * @return 房屋信息
     */
    public SzxcHouseInfo selectSzxcHouseInfoById(Long id);

    /**
     * 查询房屋信息列表
     *
     * @param szxcHouseInfo 房屋信息
     * @return 房屋信息集合
     */
    public List<SzxcHouseInfo> selectSzxcHouseInfoList(SzxcHouseInfo szxcHouseInfo);

    /**
     * 新增房屋信息
     *
     * @param szxcHouseInfo 房屋信息
     * @return 结果
     */
    public int insertSzxcHouseInfo(SzxcHouseInfo szxcHouseInfo);

    /**
     * 修改房屋信息
     *
     * @param szxcHouseInfo 房屋信息
     * @return 结果
     */
    public int updateSzxcHouseInfo(SzxcHouseInfo szxcHouseInfo);

    /**
     * 删除房屋信息
     *
     * @param id 房屋信息主键
     * @return 结果
     */
    public int deleteSzxcHouseInfoById(Long id);

    /**
     * 批量删除房屋信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcHouseInfoByIds(Long[] ids);
}
